API Reference (2.0)Application API

Delete node allocation

DELETE/api/application/nodes/{node_id}/allocations/{allocation_id}

Deletes an allocation from a node when no server is using it.

AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Path Parameters

node_id*integer

The node ID.

allocation_id*integer

The ID of the allocation.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/application/nodes/1/allocations/1"
Empty